Skip to content

要执行请求操作,wordpress需要访问您网页服务器的权限…

wordpress问题
wordpress问题

如果你再搭建wordpress博客的时候,用的是LNMP/LEMP,常常即使给了网站目录的权限也会在更新插件或更新版本时提示这个问题 

导致这个问题的原因也很简单,跟php-fpm的设置有关系,配置文件中它默认的用户和组都是apache

所以,解决方法:

编辑 vim /etc/php-fpm.d/www.conf 
; RPM: apache Choosed to be able to access some dir as httpd
user = nginx
; RPM: Keep a group allowed to write in log dir.
group = nginx

//修改用户和组为当前web运行的用户即可解决该问题!

PS:当然也要注意你的网站目录权限! (目录由自己真实情况决定)

chmod -R 755 /usr/share/nginx/html/wordpress

chown -R nginx.root  /usr/share/nginx/html/wordpress  

Published inwordpress

Be First to Comment

发表评论

电子邮件地址不会被公开。 必填项已用*标注